STRUCT DRM_DP_MST_BR(9)

NAME
struct_drm_dp_mst_branch - MST branch device.

SYNOPSIS

struct drm_dp_mst_branch {
  struct kref kref;
  u8 rad[8];
  u8 lct;
  int num_ports;
  int msg_slots;
  struct list_head ports;
  struct drm_dp_mst_port * port_parent;
  struct drm_dp_mst_topology_mgr * mgr;
  struct drm_dp_sideband_msg_tx * tx_slots[2];
  int last_seqno;
  bool link_address_sent;
};

MEMBERS

kref
    reference count for this port.

rad[8]
    Relative Address to talk to this branch device.

lct
    Link count total to talk to this branch device.

num_ports
    number of ports on the branch.

msg_slots
    one bit per transmitted msg slot.

ports
    linked list of ports on this branch.

port_parent
    pointer to the port parent, NULL if toplevel.

mgr
    topology manager for this branch device.

tx_slots[2]
    transmission slots for this device.

last_seqno
    last sequence number used to talk to this.

link_address_sent
    if a link address message has been sent to this device yet.

DESCRIPTION

This structure represents an MST branch device, there is one primary branch device at the root, along with any others connected to downstream ports

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT